問題

私は現在、ASP.NET 2.0が出ていて、.Net Frameworkの3.xバージョンがあることを認識しています。

ASP.NET Webサーバーを.Net Frameworkのバージョン3.xにアップグレードすることは可能ですか?


しかし、IIS(ASP.NETタブ)で使用する.Netフレームワークのバージョンを選択すると、バージョン1.1と2.0のみが表示されます。

回避策はありますか?

  ベストアンサー

3.5をインストールし、IISセットアップで2.0を使用する場合。 3.5の機能を使用できますか?

はい、それは正しいです。両方とも同じCLRで実行されるため、2.0サイトと3.5サイトの両方でIISを2.0に設定しました。 3.5は2.0とは異なるコンパイルメソッドを使用します。これは、サイトのweb.configで宣言されています。 を参照してください。これに関する詳細は、を参照してください。

  同じタグがついた質問を見る

asp.net.net-3.5